Microsoft.Build.Framework 2.0.0.0 System.Runtime.InteropServices.ComVisible(true)

All logger classes must implement this interface to be recognized by the vstecmsbuild engine.

Instead of implementing this interface directly, you can also derive your class from the helper class, , which provides default implementations of some members.

Defines an vstecmsbuild logger, which subscribes to build system events.

- Method
  System.Void `` To be added.

  Subscribes loggers to specific events. This method is called when the logger is registered with the build engine, before any events are raised.

  The events available to loggers. 2.0.0.0
- Property
  System.String To be added.

  Parameters may be represented in this property in any format. For example, to represent two parameters and values, you could use the string "parameter1=value1;parameter2=value2".

  This property can be a null reference (Nothing in vbprvb).

  Gets or sets the user-defined parameters of the logger.

  2.0.0.0
- Method
  System.Void To be added.

  Releases the resources allocated to the logger at the time of initialization or during the build. This method is called when the logger is unregistered from the engine, after all events are raised. A host of vstecmsbuild typically unregisters loggers immediately before quitting.

  2.0.0.0
- Property
  Microsoft.Build.Framework.LoggerVerbosity To be added.

  While a logger is free to choose the events it logs, following the verbosity guidelines creates a consistent user experience.

  Gets or sets the level of detail to show in the event log.

  2.0.0.0